Bug 188414 - haldeamon causes lockup after connectiong USB modem
haldeamon causes lockup after connectiong USB modem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-09 06:01 EDT by Radek Vokal
Modified: 2013-03-05 22:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:46:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hald log (41.75 KB, text/plain)
2006-04-09 06:10 EDT, Radek Vokal
no flags Details

  None (edit)
Description Radek Vokal 2006-04-09 06:01:31 EDT
Description of problem:
With the 2.6.16 kernel, hal daemon freezes the whole system when connecting my
USB Siemens SX1 cell phone. I blame hal, cos it seems that the very last call is
hal daemon probing serial devices. Here all last few lines from /var/log/messages 

Apr  9 11:51:44 localhost kernel: usb 2-3: new full speed USB device using
ohci_hcd and address 3
Apr  9 11:51:44 localhost kernel: usb 2-3: configuration #1 chosen from 1 choice
Apr  9 11:51:44 localhost kernel: usbcore: registered new driver usbserial
Apr  9 11:51:44 localhost kernel: drivers/usb/serial/usb-serial.c: USB Serial
support registered for generic
Apr  9 11:51:44 localhost kernel: usbcore: registered new driver usbserial_generic
Apr  9 11:51:44 localhost kernel: drivers/usb/serial/usb-serial.c: USB Serial
Driver core
Apr  9 11:51:44 localhost kernel: drivers/usb/serial/usb-serial.c: USB Serial
support registered for pl2303
Apr  9 11:51:44 localhost kernel: pl2303 2-3:1.0: pl2303 converter detected
Apr  9 11:51:44 localhost kernel: usb 2-3: pl2303 converter now attached to ttyUSB0
Apr  9 11:51:44 localhost kernel: pl2303 2-3:1.1: pl2303 converter detected
Apr  9 11:51:44 localhost kernel: usb 2-3: pl2303 converter now attached to ttyUSB1
Apr  9 11:51:44 localhost kernel: usbcore: registered new driver pl2303
Apr  9 11:51:44 localhost kernel: drivers/usb/serial/pl2303.c: Prolific PL2303
USB to serial adaptor driver
Apr  9 11:51:44 localhost kernel: usbcore: registered new driver cdc_acm
Apr  9 11:51:44 localhost kernel: drivers/usb/class/cdc-acm.c: v0.25:USB
Abstract Control Model driver for USB modems and ISDN adapters

With plugged phone, the kernel doesn't even boot up and shows several error
messages (can those be stored somehow?).  After killing HAL deamon, the phone
can be plugged in. When starting hald --daemon=no the system freezes when
probing serial devices (I'll try to catch the output)

Version-Release number of selected component (if applicable):
# rpm -q kernel hal
kernel-2.6.16-1.2080_FC5
hal-0.5.7-3

I think this appeared with the recent kernel, I will try the older one if there
is same issue. SELinux is turned off.


How reproducible:
always

Steps to Reproduce:
1. plug in funky USB device, such as Siemens SX1 USB modem
2. experience the freeze
3.
  
Actual results:
freezes whole system, it can't be rebooted, it can't be power down, I can't ssh
on it. 

Expected results:
at least no freeze, better this should recognize the modem and create the device

Additional info:
Comment 1 Radek Vokal 2006-04-09 06:10:44 EDT
Created attachment 127521 [details]
hald log

Here's the output of hald --verbose=yes --daemon=no --use-syslog

After the last line, the system freezes
Comment 2 Bug Zapper 2008-04-03 22:35:56 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 11:46:27 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.